Subject: Re: [magma] WG Last Call: draft-holbrook-idmr-igmpv3-ssm-04.txt

From: Brian Haberman <[email-masked]>
Date: Thu, 01 May 2003 08:00:55 -0400

Hugh Holbrook wrote:
>>>I think "SHOULD support a configuration option" is probably the
>>>right router requirement.
>>>
>>>Agree?
>>
>>First of all, note that the router requirement (in section 3) seems to be 
>>"MAY", and req for both hosts and routers (in section 2) a SHOULD.
> 
> 
> Yep... we need to make the document internally consistent.
> 
> 
>>I prefer MAY, but due to the the admin-scoped reasoning, I could 
>>live with a should. 
>> 
>>But it would be interesting to hear what others think.
> 
> 
> .... So far, total radio silence.... 
> 
> Does anyone else out there have an opinion?
> 

I think MAY is the correct approach to take for IPv4.  Of course,
it is a no-op for v6.  I have never been a fan of having the
SSM and ASM addressing space overlap if a config error occurs.

> 
>>>Another possibility might be EPERM.  I'm hoping someone closer to the
>>>msf-api issues or someone with some POSIX API experience can comment
>>>on this.
>>
>>A possibility is to specify it in the msf-api and add a (normative?) 
>>reference to it in the igmpv3-ssm draft (and not specify it in this 
>>document).
> 
> 
> I would also be fine with this.  Any thoughts from the msf-api
> authors?

I can't speak for the msf-api authors, but I agree that this
could live in that document.

Brian

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: Brian Haberman <[email-masked]>
Date: Thu, 01 May 2003 08:00:55 -0400

Brian